ADDUSER(8)

NOME
adduser, addgroup - adiciona ou manipula utilizadores ou grupos

SINOPSE
adduser [--add-extra-groups] [--allow-all-names] [--allow-bad-names] [--comment comentário] [--conf ficheiro] [--debug] [--disabled-login] [--disabled-password] [--firstgid id] [--firstuid id] [--gid id] [--home directório] [--ingroup group] [--lastgid id] [--lastuid id] [--no-create-home] [--shell shell] [--quiet] [--uid id] [--verbose] user
adduser --system [--comment comentário] [--conf ficheiro] [--debug] [--gid id] [--group] [--home directório] [--ingroup group] [--no-create-home] [--shell shell] [--uid id] [--quiet] [--verbose] user
adduser --group [--conf ficheiro] [--debug] [--firstgid id] [--gid ID] [--lastgid id] [--quiet] [--verbose] group
addgroup [--conf ficheiro] [--debug] [--firstgid id] [--gid ID] [--lastgid id] [--quiet] [--verbose] group
addgroup --system [--gid id] [--conf ficheiro] [--quiet] [--verbose] group
adduser [--conf ficheiro] [--debug] [--quiet] [--verbose] user group
adduser --help
adduser --version

DESCRIÇÃO
adduser e addgroup adicionam utilizadores e grupos ao sistema de acordo com opções de linha de comandos e informação de configuração em /etc/adduser.conf. Eles são frontends amigáveis para as ferramentas de baixo nível como os programas useradd, groupadd e usermod, escolhendo por predefinição valores UID e GID respeitantes da política Debian, criando um directório home com o esqueleto da configuração, executando um script personalizado, e outras funcionalidades.

adduser e addgroup destinam-se a ser uma camada política, facilitando aos responsáveis dos pacotes e administradores locais criarem contas de sistema locais no modo que Debian espera que sejam criadas, removendo a obrigação de adaptar às prováveis alterações das especificações da política Debian. O adduser --system tem atenção especial de apenas ser preciso uma única chamada nos scripts de maintainer do pacote sem nenhuns envelopes condicionais, supressões de erros ou outras geringonças.

O adduser honra a distinção entre utilizadores e grupos de sistema dinamicamente alocados e contas de utilizador dinamicamente alocadas que está documentada na Política Debian, Capítulo 9.2.2.

Para uma lista completa e explicação de todas as opções, veja a secção OPÇÕES.

adduser e addgroup podem ser executados em um de cinco modos:

  Adicionar um utilizador normal
Se chamado com um argumento não-opção e sem as opções --system ou --group, o adduser irá adicionar um utilizador normal, o que significa uma conta de utilizador alocada dinamicamente no sentido da Política Debian. Isto é normalmente referido no adduser como um utilizador não-sistema.

adduser irá escolher o primeiro UID disponível dentro do alcance especificado por FIRST_UID e LAST_UID no ficheiro de configuração. O alcance pode ser sobreposto com as opções --firstuid e --lastuid. Finalmente, o UID pode definido total manualmente com a opção --uid.

Por predefinição, a cada utilizador é dado um grupo correspondente com o mesmo nome. Isto é geralmente chamado Usergroups e permite que directórios escritos por grupo sejam facilmente mantidos ao colocar os utilizadores apropriados no novo grupo, definido o bit set-group-ID no directório, e assegurando que todos os utilizadores usam uma umask de 002.

Para um usergroup, o adduser irá escolher o primeiro GID disponível dentro do alcance especificado por FIRST_GID e LAST_GID no ficheiro de configuração. O alcance pode ser sobreposto pelas opções --firstgid e --lastgid. Finalmente. o GID pode ser definido totalmente manual com a opção --gid.

A interação entre USERS_GID, USERS_GROUP, e USERGROUPS está explicada em detalhe em adduser.conf(5).

Os grupos primários do utilizador também podem ser sobrepostos a partir da linha de comandos com as opções --gid ou --ingroup para definir o grupo pelo id ou pelo nome respetivamente. Também, os utilizadores podem ser adicionados a um ou mais grupos suplementares definidos como EXTRA_GROUPS no ficheiro de configuração ou definido ADD_EXTRA_GROUPS para 1 no ficheiro de configuração, ou passando --add-extra-groups na linha de comandos.

O adduser irá copiar ficheiros de /etc/skel para o directório home e perguntar pelo comentário e uma palavra passe se essas funções não estiverem desligadas / sobrepostas a partir da linha de comandos.

UID, comentário, directório home e shell podem ser pre-determinados com a opção UID_POOL e GID_POOL, documentada em adduser.conf(5).

  Adicionar um utilizador de sistema
Se chamado com um argumento não-opção e a opção --system, o adduser irá adicionar um utilizador de sistema alocado dinamicamente, muitas vezes abreviado como utilizador de sistema no contexto do pacote adduser.

adduser irá escolher o primeiro UID disponível dentro do alcance especificado por FIRST_SYSTEM_UID e LAST_SYSTEM_UID no ficheiro de configuração. Isto pode ser sobreposto com a opção --uid.

Por predefinição, os utilizadores do sistema são colocados no grupo nogroup. Para colocar o novo utilizador de sistema num grupo já existente, use as opções --gid ou --ingroup. Se --group for dado e um grupo de nome idêntico ainda não existir, este é criado com o mesmo ID.

Se não for especificado um directório home, o directório home predefinido para um novo utilizador é /nonexistent. Este directório nunca deverá existir em nenhum sistema Debian, e o adduser nunca irá cria-lo automaticamente.

A menos que uma shell seja explicitamente definida com a opção --shell, o novo utilizador de sistema irá ter a shell definida para /usr/sbin/nologin. adduser --system não define uma palavra passe para a nova conta. Os ficheiros de configuração esqueleto não são copiados.

As outras opções irão comportar-se como para a criação de um utilizador normal. Os ficheiros referenciados por UID_POOL e GID_POOL irão também funcionar.

  Adiciona um grupo
Se o adduser for chamado com a opção --group e sem a opção --system, ou se addgroup for chamado respetivamente, será adicionado um grupo de utilizadores.

Um utilizador de sistema alocado dinamicamente, muitas vezes abreviado como utilizador de sistema no contexto do pacote adduser será criado se o adduser for chamado com a opção --system.

Será escolhido um GID do alcance respetivo especificado para GIDs no ficheiro de configuração (FIRST_GID, LAST_GID, FIRST_SYSTEM_GID, LAST_SYSTEM_GID). Para sobrepor esse mecanismo, você pode fornecer o GID usando a opção --gid.

Para grupos não-sistema, o alcance especificado no ficheiro de configuração pode ser sobreposto com as opções --firstgid e --lastgid.

O grupo é criado sem nenhum membro.

  Adicionar um utilizador existente a um grupo existente
Se chamado com dois argumentos não-opção, adduser irá adicionar um utilizador existente a um grupo existente.

OPÇÕES
Os diferentes modos do adduser permitem diferentes opções. Se nenhum modo válido estiver listado para uma opção, ela é aceite em todos os modos.

Versões curtas para certas opções podem existir por razões históricas. Elas vão continuar a ser suportadas, mas estão removidas da documentação. Os são aconselhados a migrarem para a versão longa das opções.

--add-extra-groups
    Adiciona novo utilizador aos grupos extra definidos na definição EXTRA_GROUPS dos ficheiros de configuração. A maneira antiga --add_extra_groups está descontinuada e será suportada apenas no bookworm Debian. Modos válidos: adduser, adduser --system.

--allow-all-names
    Permite qualquer nome de utilizador e grupo que seja suportado pelo useradd(8) subjacente, incluindo nome que contenham caracteres não-ASCII. Veja NOMES VÁLIDOS em adduser.conf(5). Modos Válidos: adduser, adduser --system, addgroup, addgroup --system.

--allow-bad-names
    Desativa as verificações NAME_REGEX e SYS_NAME_REGEX de nomes. Apenas é aplicada uma verificação mais fraca para validade do nome. Veja NOMES VÁLIDOS em adduser.conf(5). Modos Válidos: adduser, adduser --system, addgroup, addgroup --system.

--comment comentário
    Define o campo de comentário para a nova entrada gerada. O adduser não irá pedir a informação se esta opção for dada. Este campo é também conhecido sob o nome campo GECOS e contém informação que é usada pelo comando finger(1). Isto já foi a opção --gecos, a qual está descontinuada e será removida após o Debian bookworm. Modos Válidos: adduser, adduser --system.

--conf ficheiro
    Usa ficheiro em vez de /etc/adduser.conf. Várias opções --conf podem ser dadas.

--debug
    Activa código de depuração.

--disabled-login
--disabled-password
    Não corre o passwd(1) para definir uma palavra-passe. Na maioria das situações, os logins são ainda possíveis (por exemplo usando chaves SSH ou através do PAM) por razões que ultrapassam o escopo do adduser. --disabled-login irá adicionalmente definir a shell para /usr/sbin/nologin. Modo Válido: adduser.

--firstuid ID
--lastuid ID
--firstgid ID
--lastgid ID
    Sobrepõe o primeiro UID / último UID / primeiro GID / último GID no alcance em que o uid é escolhido a partir de (FIRST_UID, LAST_UID, FIRST_GID e LAST_GID, FIRST_SYSTEM_UID, LAST_SYSTEM_UID, FIRST_SYSTEM_GID e LAST_SYSTEM_GID no ficheiro de configuração). Se um grupo for criado como um usergroup, --firstgid e --lastgid são ignorados. O grupo obtém o mesmo ID que o utilizador. Modos Válidos: adduser, adduser --system, para --firstgid e --lastgid também addgroup.

--force-badname
--allow-badname
    estes são os formatos descontinuados de --allow-bad-names. Serão removidos durante o ciclo de lançamento do lançamento Debian após bookworm.

--gid ID
    Quando se cria um grupo, esta opção define o número ID de grupo do novo grupo para GID. Quando se cria um utilizador, esta opção define o número ID de grupo primário do novo utilizador para GID. Modos Válidos: adduser, adduser --system, addgroup, addgroup --system.

--group
    Usar esta opção em adduser --system indica que o novo utilizador deve obter um grupo de nome idêntico como seu grupo primário. Se esse grupo de nome idêntico não existir já, ele é criado. Se não combinada com --system, é criado um grupo com o nome fornecido. A última é a acção predefinida se o programa for invocado como addgroup. Modos Válidos: adduser --system, addgroup, addgroup --system.

--help
    Mostra instruções breves.

--home dir
    Usa dir como o directório home do utilizador, em vez da predefinição especificada pelo ficheiro de configuração (ou /nonexistent se for usado adduser --system). Se o directório não existir, ele é criado. Modos Válidos: adduser, adduser --system.

--ingroup GRUPO
    Quando se cria um utilizador, esta opção define o número ID do grupo primário do novo utilizador para o GID do grupo nomeado. Ao contrário da opção --gid, o grupo é especificado aqui pelo nome em vez de pelo número ID numérico. O grupo tem de já existir. Modos Válidos: adduser, adduser --system.

--lastuid ID
--lastgid ID
    Sobrepõe o último UID / último GID. Veja --firstuid.

--no-create-home
    Não cria o directório home para o novo utilizador. Note que o nome de caminho para o directório home do novo utilizador irá ainda ser inserido no campo apropriado no ficheiro /etc/passwd. O uso desta opção não implica que este campo deva estar vazio. Em vez disso, indica ao adduser que algum outro mecanismo será responsável por inicializar o directório home do novo utilizador. Modos Válidos: adduser, adduser --system.

--quiet
    Suprime mensagens informativas, apenas mostra avisos e erros.

--shell shell
    Usa shell como a shell de login do utilizador, em vez da predefinição especificada pelo ficheiro de configuração (ou /usr/sbin/nologin se adduser --system for usado). Modos Válidos: adduser, adduser --system.

--system
    Normalmente, o adduser cria contas de utilizador e grupos alocados dinamicamente como definido em Política Debian, Capítulo 9.2.2. Com esta opção, o adduser cria uma conta de utilizador e grupo alocada dinamicamente e muda o seu modo respetivamente. Modos Válidos: adduser, addgroup.

--uid ID
    Força o novo id de utilizador a ser o número fornecido. O adduser irá falhar se o id de utilizador já estiver atribuído. Modos Válidos: adduser, adduser --system.

--verbose
    Fica mais detalhado.

-v , --version
    Mostra informação de versão e copyright.

VALORES DE SAÍDA

0   Sucesso: O utilizador ou grupo existe como especificado. Isto pode ter 2 causas: O utilizador ou grupo foi criado por esta chamada ao adduser ou o utilizador ou grupo já estava presente no sistema como especificado antes do adduser ser invocado. Se for invocado adduser --system para um utilizador já existente como um utilizador de sistema, irá também retornar 0.

1   A criação do utilizador ou grupo não-sistema falhou porque já estava presente. O nome de utilizador ou nome de grupo foi rejeitado devido a um desencontro com as expressões regulares configuradas, veja adduser.conf(5). O adduser foi abortado por um sinal.

Ou por muitas razões ainda não documentadas que são então escritas na consola. Você deve considerar remover a opção --quiet para tornar o adduser mais detalhado.

SEGURANÇA
O adduser precisa de privilégios de root e oferece via opção de linha de comandos --conf a utilização de diferentes ficheiros de configuração. Não use o sudo(8) ou ferramentas semelhantes para dar privilégios parciais ao adduser com parâmetros de linha de comandos restritos. Isto é fácil de contornar e pode permitir que utilizadores criem contas arbitrárias. Se você deseja isto, consider escrever o seu próprio script envelope e dê privilégios para executar esse script.

FICHEIROS

/etc/adduser.conf
    Ficheiro de configuração predefinido para adduser(8) e addgroup(8)

/usr/local/sbin/adduser.local
    Adições personalizadas opcionais, veja adduser.local(8)

NOTAS
Infelizmente, o termo conta de sistema sofre de duplo uso em Debian. Em ambos significa uma conta para o sistema Debian real, distinguindo-se ele próprio de uma conta de aplicação a qual pode existir na base de dados de utilizador de alguma aplicação que corre em Debian. Uma conta de sistema nesta definição tem o potencial de abrir sessão no sistema real, tem um UID, pode ser membro em grupos de sistema, pode possuir ficheiros e processos. A Política Debian, ao contrário, no seu Capítulo 9.2.2, faz uma distinção de utilizadores e grupos de sistema alocados dinamicamente e contas de utilizador alocadas dinamicamente, significando am ambos os casos instâncias especiais de contas de sistema. Tem de se tomar cuidado para não se confundir esta terminologia. Como adduser e deluser(8) nunca se dirigem a contas de aplicação e tudo neste pacote se refere aqui a contas de sistema, o uso dos termos conta de utilizador e conta de sistema não é realmente ambígua no contexto deste pacote. Para clarificar, este documento usa a definição conta ou grupo de sistema local se for necessária a distinção para contas de aplicação ou contas geridas num serviço de directório.

O adduser costumava ter a visão de ser o frontend universal para os vários serviços de directório para se criar e apagar contas de sistema e regulares em Debian desde os anos 1990. Esta visão foi abandonada a partir de 2022. A razão por trás disto inclui: que na prática, um pequeno sistema servidor não vai ter acesso de escrita a um serviço de directório de toda-a-empresa de qualquer modo, que os pacotes instalados localmente são difíceis de gerir com contas de sistema controladas centralmente, que serviços de directório de empresas têm os seus próprios processos de gestão de qualquer modo e que o poder-pessoal da equipa do adduser dificilmente vai ter força suficiente para escrever e manter suporte para a abundância de serviços de directório que precisam de suporte.

O adduser irá contrair ele próprio a ser uma camada política para a gestão das contas de sistema locais, usando as ferramentas do pacote password para o trabalho real.

BUGS
O uso inconsistente de terminologia em redor do termo conta de sistema em documentos e código é um bug. Por favor reporte isto e permita-nos melhorar a nossa documentação.

O adduser tem atenção especial em ser utilizável diretamente em scripts de maintainer Debian sem envelopes condicionais, supressão de erros e outras geringonças. A única coisa que o maintainer do pacote deve precisar codificar é uma verificação pela presença do executável no script postrm. O maintainers do adduser consideram a necessidade de geringonças adicionais um bug e encorajam os seus colegas maintainers de pacotes Debian a reportar bugs contra o pacote adduser nestes casos.

VEJA TAMBÉM
adduser.conf(5), deluser(8), groupadd(8), useradd(8), usermod(8), Debian Policy 9.2.2.